# Uses of Class
javax.swing.RowSorter

Packages that use RowSorter
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of RowSorter in javax.swing

Subclasses of RowSorter in javax.swing
Modifier and Type
Class
Description
`class`
`DefaultRowSorter<M,I>`
An implementation of `RowSorter` that provides sorting and filtering around a grid-based data model.
Methods in javax.swing that return RowSorter
Modifier and Type
Method
Description
`RowSorter<? extends TableModel>`
JTable.`getRowSorter()`
Returns the object responsible for sorting.
Methods in javax.swing with parameters of type RowSorter
Modifier and Type
Method
Description
`void`
JTable.`setRowSorter(RowSorter<? extends TableModel> sorter)`
Sets the `RowSorter`.

## Uses of RowSorter in javax.swing.event

Methods in javax.swing.event that return RowSorter
Modifier and Type
Method
Description
`RowSorter<?>`
RowSorterEvent.`getSource()`
Returns the source of the event as a `RowSorter`.
Constructors in javax.swing.event with parameters of type RowSorter
Modifier
Constructor
Description
``
`RowSorterEvent(RowSorter<?> source)`
Creates a `RowSorterEvent` of type `SORT_ORDER_CHANGED`.
``
`RowSorterEvent(RowSorter<?> source, RowSorterEvent.Type type, int[] previousRowIndexToModel)`
Creates a `RowSorterEvent`.

## Uses of RowSorter in javax.swing.table

Subclasses of RowSorter in javax.swing.table
Modifier and Type
Class
Description
`class`
`TableRowSorter<M extends TableModel>`
An implementation of `RowSorter` that provides sorting and filtering using a `TableModel`.